import 'dart:convert';
import 'package:http/http.dart' as http;

import '../models/statistics.dart';

class ScrobblesApi {
  static String baseUrl = 'https://scrobble.harrault.fr';

  static Future<StatisticsData> fetchStatistics() async {
    final response = await http.get(Uri.parse(baseUrl + '/stats'));

    if (response.statusCode == 200) {
      return StatisticsData.fromJson(jsonDecode(response.body) as Map<String, dynamic>);
    } else {
      throw Exception('Failed to get data from API.');
    }
  }
}
